package com.winhc.business.utils;

/**
 * description:防止多次点击工具类
 * Created by toby
 * date: 2017/4/18  15:43
 */
public class NoDoubleClickUtils {
    private static long lastClickTime;
    private final static int SPACE_TIME = 600;
    private final static int SPACE_TIME_FAST = 300;

    public static void initLastClickTime() {
        lastClickTime = 0;
    }


    public synchronized static boolean isDoubleClick() {
        long currentTime = System.currentTimeMillis();
        boolean isClick2;
        isClick2 = currentTime - lastClickTime <= SPACE_TIME;
        lastClickTime = currentTime;
        return isClick2;
    }
    public synchronized static boolean isNotDoubleClick() {
        long currentTime = System.currentTimeMillis();
        boolean isClick2;
        isClick2 = currentTime - lastClickTime > SPACE_TIME;
        lastClickTime = currentTime;
        return isClick2;
    }
    public synchronized static boolean isFastDoubleClick() {
        long currentTime = System.currentTimeMillis();
        boolean isClick2;
        isClick2 = currentTime - lastClickTime <= SPACE_TIME_FAST;
        lastClickTime = currentTime;
        return isClick2;
    }
}
